Chapitre 2. Mise en service de GIMP
| Partie I. Premiers pas dans GIMP |

## Chapitre 2. Mise en service de GIMP

## 1. Lancer GIMP

Le plus souvent vous lancez GIMP en cliquant sur une icône (si votre système est configuré pour vous en afficher une), ou en tapant gimp sur la ligne de commande. Si vous avez plusieurs versions de GIMP installées, vous devrez taper gimp-2.8 pour lancer la dernière version. Vous pouvez, si vous le désirez, donner une liste de fichiers d'image dans la ligne de commande après le nom du programme, pour qu'ils soient automatiquement ouverts au démarrage de GIMP. On peut aussi, bien sûr, ouvrir des images une fois le programme démarré.

La plupart des systèmes d'exploitation savent associer les extensions de noms de fichier (comme .jpg) à un logiciel particulier. Vous pouvez ainsi associer les fichiers d'image à GIMP qui les ouvrira quand vous cliquerez sur le nom de fichier.

### 1.1. Plateformes connues

GIMP est probablement le programme de manipulation d'images le mieux accepté par les différents systèmes d'exploitation. Plateformes sur lesquelles GIMP a été vu fonctionner :

GNU/Linux™, Apple Mac OS X™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, SunOS™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™, et BeOS™.

GIMP peut aisément être porté sur d'autres systèmes grâce à la disponibilité de son code source. Pour plus d'informations visitez la page Web des développeurs du GIMP.[GIMP-DEV].

### 1.2. Langue

GIMP détecte automatiquement la langue de votre système d'exploitation. S'il échoue, ou si vous désirez changer la langue utilisée par GIMP, vous pouvez, depuis GIMP-2.8, passer par Édition → Préférences → Interface.

Vous pouvez aussi :

Sous Linux

  Sous LINUX : en mode console, tapez `LANGUAGE=fr gimp` ou `LANG=fr gimp` en remplaçant fr par en, de, ... selon la langue choisie. En utilisant `LANGUAGE=en` vous choisissez une variable d'environnement pour le programme `gimp` dans ce cas.

Sous Windows XP

  Poste de travail/Propriétés/ Onglet Avancé. Cliquez sur le Bouton Variables d'environnement puis sur le bouton Nouveau et entrez `LANG` pour Nom et `FR, EN, DE ...` pour Valeur. Attention ! vous devez cliquer sur trois « OK » successifs pour valider votre choix.

  Si vous changez souvent de langue, vous pouvez créer un fichier de commandes .BAT. Ouvrez le Bloc-Note. Tapez les commandes (pour avoir GIMP en anglais) :

  `set lang=en
  start gimp-2.8.exe`

  Enregistrez ce fichier sous le nom GIMP-EN.BAT (ou tout autre nom mais toujours avec l'extension .BAT). Créez un raccourci pour ce fichier et faites-le glisser jusque sur votre bureau.

  Autre possibilité : Démarrer → Programmes → GTK Runtime Environment. Choisissez Select language et sélectionnez la langue voulue dans la liste déroulante.

Under Apple Mac OS X

  Allez dans les Préférences système, cliquez sur l'icône International et dans l'onglet Langue, la langue voulue doit être placée en premier dans la liste.

Démarrer une nouvelle instance GIMP

  Vous pouvez créer une autre instance de GIMPen lançant la commande avec l'option `-n`. Par exemple : `gimp-2.8` pour GIMP en français et `LANGUAGE=en gimp-2.8 -n` pour avoir aussi GIMP en anglais. C'est utile pour les traducteurs.

### 1.3. Les arguments de la ligne de commande

Bien que les arguments ne soient pas nécessaires pour démarrer GIMP, ces arguments sont néanmoins décrits ci-dessous. Dans un système LINUX, vous pouvez utiliser `man gimp` pour en avoir une liste complète.

Pour utiliser les options de la ligne de commande, vous devez les placer dans la ligne de commande que vous utilisez pour démarrer GIMP, par exemple gimp-2.8 [OPTION...] [FICHIER|URI...].

-?, --help

  Affiche la liste de toutes les options de la ligne de commande.

--help-all

  Afficher toutes les options d'aide

--help-gtk

  Afficher les options GTK+

-v, --version

  Affiche la version de GIMP utilisée et quitte.

--license

  Afficher les informations sur la licence et sortir

--verbose

  Affiche les messages de démarrage détaillés.

-n, --new-instance

  Démarrer une nouvelle instance GIMP

-a, --as-new

  Ouvrir les images en tant que nouvelles

-i, --no-interface

  Lancer sans interface utilisateur

-d, --no-data

  Ne charge ni motifs, ni dégradés, ni palettes, ni brosses. Souvent utile dans les situations non interactives quand le temps de démarrage doit être optimisé.

-f, --no-fonts

  Ne charge aucune police de caractères. Cette option peut être utile pour accélérer le démarrage de GIMP, pour les scripts qui n'utilisent pas de police, ou pour résoudre les problèmes de police malformée qui peuvent bloquer GIMP.

-s, --no-splash

  N'affiche pas l'écran de démarrage.

--no-shm

  Ne pas utiliser de mémoire partagée entreGIMPet les greffons.

--no-cpu-accel

  Ne pas utiliser les fonctions spéciales d'accélération du microprocesseur. Utile pour détecter et désactiver les fonctions ou matériels accélérés bogués.

--session=`name`

  Utilise un `sessionrc` différent pour cette session de GIMP. Le nom de session passé en paramètre est ajouté au nom du fichier sessionrc par défaut.

--gimprc=`filename`

  Utilise un gimprc de remplacement à la place de celui par défaut. Le fichier « gimprc » contient l'enregistrement de vos préférences. Utile dans les cas où le chemin des greffons ou les spécifications de machine sont différents.

--system-gimprc=`filename`

  Utiliser un autre fichier système gimprc

-b, --batch=`commands`

  Exécute les commandes de manière non interactive. Les commandes sont généralement sous la forme d'un script qui peut être exécuté par l'une des extensions de script du GIMP. Quand la commande est `-`, les commandes sont lues sur l'entrée standard.

--batch-interpreter=`proc`

  Procédure à utiliser pour élaborer les commandes batch. La procédure par défaut est Scrip-Fu.

--console-messages

  N'ouvre pas de boîte de dialogues pour les messages d'avertissements mais les affiche dans la fenêtre console à la place.

--pdb-compat-mode=`mode`

  Mode de compatibilité PDB (off|on|warn).

--stack-trace-mode=`mode`

  Déboguer en cas de plantage (never|query|always)

--debug-handlers

  Active les routines de débogage des signaux non fatals. Utile pour le débogage.

--g-fatal-warnings

  Rendre fatals tous avertissements. Utile pour le débogage.

--dump-gimprc

  Génère un fichier gimprc avec les valeurs par défaut. Utile si vous avez détérioré le fichier gimprc.

--display=`display`

  Utilise l'affichage spécifié du serveur X (ne fonctionne évidemment pas sous Windows)

2. Quoi de neuf dans GIMP 2.8 ? |  | 2. GIMP : premier démarrage

Envoyez un rapport d'anomalie à Bugzilla